using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 监测期间类型
/// </summary>
public enum ExamPeriodType
{
    /// <summary>
    /// 无
    /// </summary>
    [Description("无")]
    NONE = 0,
    /// <summary>
    /// 期末
    /// </summary>
    [Description("期末")]
    FINAL_EXAM = 1,
    /// <summary>
    /// 期中
    /// </summary>
    [Description("期中")]
    MID_TERM_EXAM = 2,
    /// <summary>
    /// 平时
    /// </summary>
    [Description("平时")]
    REGULAR_EXAM = 3,
}
